### Name: ebam.wilc
### Title: Empirical Bayes Analysis using Wilcoxon Rank Sums
### Aliases: ebam.wilc
### Keywords: htest

### ** Examples
## Not run: 
##D     library(multtest)
##D     # Load the data of Golub et al. (1999). data(golub) contains
##D     # a 3051x38 gene expression matrix called golub, a vector of
##D     # length called golub.cl that consists of the 38 class labels,
##D     # and a matrix called golub.gnames whose third column contains
##D     # the gene names.
##D     data(golub)
##D     
##D     # An EBAM-Wilc analysis of the Golub data is performed by
##D     
##D     ebam.wilc.out<-ebam.wilc(golub,golub.cl,gene.names=golub.gnames[,3],rand=123)
##D     
##D     # For further analyses, the row numbers of the differentially expressed
##D     # genes are obtained by
##D     
##D     ebam.wilc.out$row.sig.genes
## End(Not run)


